QGIS Application - Bug report #11634
snapping using layer units instead of map units
2014-11-13 12:59 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19887
Description

In 2.6 I'm digitising 4326 data but my canvas is projected to transverse mercator i.e. map units are now metres. | set snapping tolerance to
2m using 'map units' but snapping behaves as if it is acting in degrees and snaps all over the place, completely slowing down QGIS in the
process, implying that snapping is using layer units and not map units. Has QGIS behaviour changed intentionally (not good) or is this a
bug?

Associated revisions

Revision 334d885b - 2015-01-23 12:53 PM - Martin Dobias

Snapping tolerance: Fix "map units" vs "layer units" dilemma (fixes #11634)
Until now "map units" in snapping config dialog actually referred to layer units.
From now on, "map units" refer to project's CRS units. Where appropriate, it is

possible to choose "layer units" that refer to layer CRS units.

Projects from older versions of QGIS should be handled seamlessly (tolerances
in layer units will be still handled in layer units, not project units).

In API, QgsTolerance::MapUnits is deprecated as it is unclear to what units
it refers to (should be ProjectUnits, but actually it is LayerUnits)

History

#1 - 2015-01-23 03:55 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"334d885b6d4757398d63771e1019fc4ed68c1a35".
